Subject: [PATCH 2/6] ASoC: codecs: AK4641 depends on GPIOLIB

From: [email-masked] (Mark Brown)
Date: Sun, 2 Oct 2011 21:41:07 +0100

On Sun, Oct 02, 2011 at 10:28:00PM +0200, Arnd Bergmann wrote:
> This driver only builds correctly on platforms that use
> GPIOLIB. Disable it otherwise.

No, gpiolib is one implementation of the GPIO API but if platforms want
to go and define their own that's currently OK (personally I think at
this point we should just be converting all the stragglers over to
gpiolib).  As things stand we shouldn't have dependencies on a
particular implementation of the API.